.\"
.\" Copyright (c) 1994 James A. Jegers
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/eg.4,v 1.1.4.4 1999/09/05 11:27:01 peter Exp $
.\"
.Dd July 10, 1995
.Dt EG 4 i386
.Os
.Sh NAME
.Nm eg
.Nd Ethernet driver for 3Com 3c505 Etherlink+ Ethernet board
.Sh SYNOPSIS
.Cd "device eg0 at isa? port 0x310 net irq 5 vector egintr"
.Sh DESCRIPTION
The
.Nm
interface provides access to a 10 Mb/s Ethernet network via the
3Com 3c505 board based on the Intel 82586 Ethernet chip. 
.Sh DIAGNOSTICS
.Bl -diag
.It "eg%d: configure card command failed"
For some reason, the driver could not initialize the card.  Please check
the card's IRQ and I/O settings relative to those in the kernel
configuration file.
.El
.Pp
.Sh BUGS
Uses the onboard firmware, which is not a good way to do it.
Doesn't support DMA or high speeds.
Currently the driver does not support multicast.
The timeout interval can be quite long (16 seconds) for a 512k board.
.Sh SEE ALSO
.Xr ed 4 ,
.Xr el 4 ,
.Xr ep 4 ,
.Xr ie 4 ,
.Xr intro 4 ,
.Xr le 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
device driver first appeared in 
.Fx 2.0.5
coming from NetBSD.
.Sh AUTHORS
The
.Nm
device driver was written by
.An Dean Huxley .
This manual page was written by
.An James A. Jegers .
